package com.ixee.GraphIX;

public class glETexture{
	int imageAddress;
	float width;
	float height;
	float potWidth;
	float potHeight;
	float widthRatio;
	float heightRatio;
	float[] texCoords;
	public glETexture(int address, int origWidth, int origHeight){
		imageAddress = address;
		width = origWidth;
		height = origHeight;
		potWidth = glEEngine.nearPow2(origWidth);
		potHeight = glEEngine.nearPow2(origHeight);
		widthRatio = width/potWidth;
		heightRatio = height/potHeight;

		texCoords = new float[8];
		texCoords[0] = 0;
		texCoords[1] = texSpaceHeight();
		texCoords[2] = 0;
		texCoords[3] = 0;
		texCoords[4] = texSpaceWidth();
		texCoords[5] = 0;
		texCoords[6] = texSpaceWidth();
		texCoords[7] = texSpaceHeight();

	}
	public int getAddr(){
		return imageAddress;
	}
	public float texSpaceWidth(){
		//return 1;
		return widthRatio;
	}
	public float texSpaceHeight(){
		//return 1;
		return heightRatio;
	}
	public float[] getTexCoords(){
		return texCoords;
	}
}