package com.ixee.datastruct;

import java.util.Iterator;

public class RBKeyIterator<K extends Comparable, V> implements Iterator<K>{
	RBTree tree;
	RBNode<K, V> curr;
	public RBKeyIterator(RBTree<K, V> t){
		tree = t;
		curr = tree.minNode();
	}
	public K next(){
		K ret = curr.getKey();
		curr = tree.succ(curr);
		return ret;
	}
	public boolean hasNext(){
		//The last node is actually a sentinel, which by definiton has key and value set to null.
		//so test against that instead.
		return (curr != null && curr.getKey() != null);
	}
	public void remove(){
		//ugh. Not right now.
		throw new RuntimeException();
	}
	public void print(){
		System.out.println(curr);
	}
}